<input class="notes-filter" ng-model="searchQuery" placeholder="Search Notes" />

<ul ng-click="notesListClick()" class="notes-list">
  <li
      class="notes-list__item"
      ng-repeat="note in notes | filter: filterNotes track by $index"
      ng-click="$ctrl.clickedNote = note"
      tabindex="0"
  >
    <div class="notes-list__item-content">
      <p class="notes-list__item-title">{{ note.title ? note.title : "No name" }}</p>
      <p class="notes-list__item-text">{{ note.text }}</p>

    </div>
    <button
        class="custom-delete-note-button"
        ng-click="deleteNote(note); $event.stopPropagation();"
    ></button>
  </li>
</ul>
